# Print and ship under your brand, straight from your code

> The B7R API: read your account and the print on demand catalog, and price products with shipping, from your website, your platform or an AI agent.

Source: https://docs.b7r.app/

Read the B7R catalog and price products with shipping from your website, your platform or an AI agent. B7R prints, packs and ships under your brand.

## Start

- [Get started in 5 steps](https://docs.b7r.app/get-started)
- [Create an API key](https://docs.b7r.app/get-started#create-a-key)
- [Keys and access](https://docs.b7r.app/keys-and-access)

## Catalog

- [Base products](https://docs.b7r.app/catalog)
- [Carriers](https://docs.b7r.app/carriers)
- [Price a product](https://docs.b7r.app/quote)

## Build safely

- [Errors](https://docs.b7r.app/errors)
- [Limits and retries](https://docs.b7r.app/limits-and-retries)
- [Safe retries](https://docs.b7r.app/safe-retries)

## For AI agents

- [Rules for agents](https://docs.b7r.app/ai-agents)
- [llms.txt](https://docs.b7r.app/llms.txt)
- [OpenAPI 3.1](https://docs.b7r.app/openapi.json)

## Try it

### Read your account

```bash
curl https://api.b7r.app/v1/me \
  -H "Authorization: Bearer $B7R_API_KEY"
```

```json
{
  "account": {
    "id": "a3f1c9e2-5b7d-4e8a-9c21-6d0f4b8e2a17",
    "store_name": "Sample Store",
    "verified": true,
    "active": true
  },
  "key": {
    "name": "Website",
    "prefix": "b7r_live_Q7m2Kx9P",
    "areas": [
      "catalog",
      "products:read",
      "products:write",
      "orders:read",
      "orders:write",
      "wallet:read"
    ],
    "expires_at": null
  },
  "limits": {
    "calls_per_minute": 120
  },
  "switches": {
    "api_enabled": true,
    "connection_enabled": true
  },
  "default_carrier": {
    "id": "9b1d3f5a-7c9e-4b1d-8f5a-6c8e0a2b4d6f",
    "name": {
      "ar": "شحن سريع",
      "en": "Express delivery"
    }
  }
}
```

### List base products

```bash
curl https://api.b7r.app/v1/catalog/products?limit=1 \
  -H "Authorization: Bearer $B7R_API_KEY"
```

```json
{
  "data": [
    {
      "id": "8c2e4f6a-1b3d-4a5c-8e7f-9a0b1c2d3e4f",
      "name": {
        "ar": "تيشيرت كلاسيك",
        "en": "Classic T-shirt"
      },
      "colors": [
        {
          "id": "7a9c1e3f-5b7d-4f9a-8b3c-4d6e8f0a2b4c",
          "name": {
            "ar": "أسود",
            "en": "Black"
          },
          "hex": "#111111"
        },
        {
          "id": "1c3e5a7b-9d1f-4a3c-9e5b-7f9a1c3e5b7d",
          "name": {
            "ar": "أبيض",
            "en": "White"
          },
          "hex": "#FFFFFF"
        }
      ],
      "sizes": [
        {
          "id": "3d5f7b9c-1e3a-4c5e-8a7b-9c1d3e5f7a9b",
          "name": "M"
        },
        {
          "id": "4e6a8c0d-2f4b-4d6f-9b8c-0d2e4f6a8b0c",
          "name": "L"
        }
      ],
      "techniques": [
        {
          "id": "2b9d6e1f-7a4c-4d8e-b3f5-0c1a2e3d4f5a",
          "name": {
            "ar": "طباعة DTF",
            "en": "DTF printing"
          }
        }
      ],
      "zones": [
        {
          "id": "5e7a9c1b-3d5f-4b7a-9c1e-2f4a6b8c0d2e",
          "name": {
            "ar": "الأمام",
            "en": "Front"
          }
        },
        {
          "id": "6f8b0d2c-4e6a-4c8b-8d2f-3a5b7c9d1e3f",
          "name": {
            "ar": "الخلف",
            "en": "Back"
          }
        }
      ],
      "options": [
        {
          "technique_id": "2b9d6e1f-7a4c-4d8e-b3f5-0c1a2e3d4f5a",
          "zone_ids": [
            "5e7a9c1b-3d5f-4b7a-9c1e-2f4a6b8c0d2e"
          ],
          "cost": {
            "net": "45.00",
            "vat": "0.00",
            "gross": "45.00",
            "currency": "SAR"
          },
          "minimum_selling_price": {
            "amount": "59.00",
            "currency": "SAR"
          }
        },
        {
          "technique_id": "2b9d6e1f-7a4c-4d8e-b3f5-0c1a2e3d4f5a",
          "zone_ids": [
            "5e7a9c1b-3d5f-4b7a-9c1e-2f4a6b8c0d2e",
            "6f8b0d2c-4e6a-4c8b-8d2f-3a5b7c9d1e3f"
          ],
          "cost": {
            "net": "60.00",
            "vat": "0.00",
            "gross": "60.00",
            "currency": "SAR"
          },
          "minimum_selling_price": {
            "amount": "78.00",
            "currency": "SAR"
          }
        }
      ],
      "updated_at": "2026-11-18T09:12:44.512Z"
    }
  ],
  "next_cursor": "eyJ1IjoiMjAyNi0xMS0xOCAwOToxMjo0NC41MTIzODErMDAiLCJpIjoiOGMyZTRmNmEifQ"
}
```

### Price a product

```bash
curl -X POST https://api.b7r.app/v1/quote \
  -H "Authorization: Bearer $B7R_API_KEY" \
  -H "Idempotency-Key: $(uuidgen 2>/dev/null || node -e 'console.log(crypto.randomUUID())')" \
  -H "Content-Type: application/json" \
  -d '{
    "product_id": "8c2e4f6a-1b3d-4a5c-8e7f-9a0b1c2d3e4f",
    "technique_id": "2b9d6e1f-7a4c-4d8e-b3f5-0c1a2e3d4f5a",
    "zone_ids": [
      "5e7a9c1b-3d5f-4b7a-9c1e-2f4a6b8c0d2e"
    ],
    "quantity": 2,
    "carrier_id": "9b1d3f5a-7c9e-4b1d-8f5a-6c8e0a2b4d6f"
  }'
```

```json
{
  "product_id": "8c2e4f6a-1b3d-4a5c-8e7f-9a0b1c2d3e4f",
  "technique_id": "2b9d6e1f-7a4c-4d8e-b3f5-0c1a2e3d4f5a",
  "zone_ids": [
    "5e7a9c1b-3d5f-4b7a-9c1e-2f4a6b8c0d2e"
  ],
  "quantity": 2,
  "unit_cost": {
    "net": "45.00",
    "vat": "0.00",
    "gross": "45.00",
    "currency": "SAR"
  },
  "lines_total": {
    "net": "90.00",
    "vat": "0.00",
    "gross": "90.00",
    "currency": "SAR"
  },
  "shipping": {
    "carrier_id": "9b1d3f5a-7c9e-4b1d-8f5a-6c8e0a2b4d6f",
    "fee": {
      "net": "25.00",
      "vat": "0.00",
      "gross": "25.00",
      "currency": "SAR"
    }
  },
  "total": {
    "net": "115.00",
    "vat": "0.00",
    "gross": "115.00",
    "currency": "SAR"
  },
  "minimum_selling_price": {
    "amount": "59.00",
    "currency": "SAR"
  }
}
```

### Check the API

```bash
curl https://api.b7r.app/v1/status
```

```json
{
  "status": "ok",
  "api_enabled": true,
  "time": "2026-11-20T09:40:00.000Z"
}
```
